using APT.Infrastructure.EF.Map;
using APT.BaseData.Domain.Entities.FM;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace APT.BaseData.Data.Mapping.FM
{
	public class FMPrinterTaskMap : APTEntityBaseMap<T_FM_PRINTER_TASK>
	{
		public override void Configure(EntityTypeBuilder<T_FM_PRINTER_TASK> builder)
		{
			base.Configure(builder);
			builder.Property(t => t.CODE).HasMaxLength(300);
			builder.Property(t => t.SERIAL_NUM).HasMaxLength(400);
			builder.Property(t => t.WEIGHT).HasMaxLength(50);
			builder.Property(t => t.NUM).HasMaxLength(50);
            builder.Property(t => t.PRINTER_NAME).HasMaxLength(100);
        } 
	}
}
